# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/String.pm) perl(Module/Build.pm) perl(Pod/Select.pm) perl(Pod/Text.pm) perl(Test/Distribution.pm) perl(Test/More.pm) perl(Getopt/ArgvFile.pm)
# END SourceDeps(oneline)
%define module_version 0.24
%define module_name Module-DevAid
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.24
Release: alt1
Summary: tools to aid perl module developers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RU/RUBYKAT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Module (and script) to aid with development, by helping (and testing).auto-building of certain files, and with the steps needed in building and
committing a release.

At this point this only uses the darcs or svk revision systems.

Takes a project description, either through the command line options, or
via a project config file, which defaults to 'mod_devaid.conf' in
the current directory.

Features:

=over

=item *

generates a README file from POD

=item *

generates a TODO file from a devtodo .todo file

=item *

auto-updates a Changes file from the revision-control system's change log.

=item *

auto-changes version-id in module and script files

=item *

does all of the above and tags commits for a release

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1
- initial import by package builder

